> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chift.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get locations

> Returns a list of the locations



## OpenAPI

````yaml get /consumers/{consumer_id}/pos/locations
openapi: 3.1.0
info:
  title: Chift API
  description: >-
    The Chift API is a universal API giving you access to financial data from
    the software of your clients. It helps software companies to offer native
    integrations to their clients without the effort needed to maintain those
    native integrations. By using the APIs (Accounting, POS, eCommerce) of
    Chift, you connect once and allow your clients to use their software
    packages.
  version: 1.0.0
servers:
  - url: https://api.chift.eu
    description: Chift
security:
  - bearerAuth: []
paths:
  /consumers/{consumer_id}/pos/locations:
    get:
      tags:
        - Point of Sale
        - Locations
      summary: Get locations
      description: Returns a list of the locations
      operationId: pos_get_locations
      parameters:
        - name: consumer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Consumer Id
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
          description: Page number
        - name: size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 50
            title: Size
          description: Page size
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChiftPage_POSLocationItem_'
        '400':
          content:
            application/json:
              example:
                message: Error while trying to perform your request
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Bad Request
        '405':
          content:
            application/json:
              example:
                message: >-
                  The resource {Method} - {Resource} is not supported by
                  {ConnectorName}
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Method Not Allowed
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '502':
          content:
            application/json:
              example:
                message: Error while trying to authenticate to {ConnectorName}
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Bad Gateway
      security:
        - mcp_auth:
            - pos
            - pos.read
            - pos.locations
            - pos.locations.read
components:
  schemas:
    ChiftPage_POSLocationItem_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/POSLocationItem'
          type: array
          title: Items
        total:
          type: integer
          minimum: 0
          title: Total
        page:
          type: integer
          minimum: 1
          title: Page
        size:
          type: integer
          minimum: 1
          title: Size
      type: object
      required:
        - items
        - total
        - page
        - size
      title: ChiftPage[POSLocationItem]
    ChiftError:
      properties:
        message:
          type: string
          title: Message
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          default: error
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
          default: ''
      type: object
      required:
        - message
      title: ChiftError
    HTTPValidationError:
      title: Validation Error
      required:
        - message
      type: object
      properties:
        message:
          title: Message
          type: string
          default: Validation error
        status:
          title: Status
          type: string
          default: error
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    POSLocationItem:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier of the location
          examples:
            - 371ca583-d218-4900-b236-397532cf0e52
        name:
          type: string
          title: Name
          description: Name given to the location
          examples:
            - Restaurant de la Paix
        timezone:
          anyOf:
            - type: string
            - type: 'null'
          title: Timezone
          description: >-
            Indicates the timezone of the location. TZ notation, e.g.
            Europe/Brussels .
          examples:
            - Europe/Paris
        address:
          anyOf:
            - $ref: '#/components/schemas/AddressItem'
            - type: 'null'
          description: Address of the location
      type: object
      required:
        - id
        - name
      title: POSLocationItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    AddressItem:
      properties:
        address_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Address Type
          description: Type of the address
          examples:
            - home
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: Name given to the address (e.g. 'home')
          examples:
            - Home
        street:
          anyOf:
            - type: string
            - type: 'null'
          title: Street
          description: Street name
          examples:
            - Main Street
        number:
          anyOf:
            - type: string
            - type: 'null'
          title: Number
          description: Number of the address
          examples:
            - '123'
        box:
          anyOf:
            - type: string
            - type: 'null'
          title: Box
          description: Box of the address
          examples:
            - A
        city:
          anyOf:
            - type: string
            - type: 'null'
          title: City
          description: City name
          examples:
            - Paris
        postal_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Postal Code
          description: Postal code of the address
          examples:
            - '75000'
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
          description: 'Country, format: ISO 3166-1 codes.'
          examples:
            - FR
      type: object
      title: AddressItem
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        This access token needs to be included in each of your request to the
        Chift API.

````